### Method

# Clutter Timeline set_progress_func

#### Declaration [src]

    void
    clutter_timeline_set_progress_func (
      ClutterTimeline* timeline,
      ClutterTimelineProgressFunc func,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Sets a custom progress function for `timeline`. The progress function will be called by `clutter_timeline_get_progress()` and will be used to compute the progress value based on the elapsed time and the total duration of the timeline.

If `func` is not `NULL`, the `ClutterTimeline:progress-mode` property will be set to `CLUTTER_CUSTOM_MODE`.

If `func` is `NULL`, any previously set progress function will be unset, and the `ClutterTimeline:progress-mode` property will be set to `CLUTTER_LINEAR`.

#### Parameters

`func`

  Type: `ClutterTimelineProgressFunc`

  A progress function, or `NULL`.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify`

  Type: `GDestroyNotify`

  A function to be called when the progress function is removed or the timeline is disposed.